OpenNMS API 1.2.9

## org.opennms.netmgt.config.threshd
Class ThreshdConfiguration

    java.lang.Object
      org.opennms.netmgt.config.threshd.ThreshdConfiguration

All Implemented Interfaces:
  java.io.Serializable

public class ThreshdConfiguration
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private boolean` `_has_threads` keeps track of state for field: _threads
`private java.util.ArrayList` `_packageList`
`private int` `_threads`
`private java.util.ArrayList` `_thresholderList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`ThreshdConfiguration()`

Method Summary
`void` `addPackage(int index, Package vPackage)`
`void` `addPackage(Package vPackage)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addThresholder(int index, Thresholder vThresholder)`
`void` `addThresholder(Thresholder vThresholder)`
`void` `clearPackage()`
`void` `clearThresholder()`
`java.util.Enumeration` `enumeratePackage()`
`java.util.Enumeration` `enumerateThresholder()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Package[]` `getPackage()`
`Package` `getPackage(int index)`
`java.util.Collection` `getPackageCollection()`
`int` `getPackageCount()`
`int` `getThreads()` Returns the value of field 'threads'.
`Thresholder[]` `getThresholder()`
`Thresholder` `getThresholder(int index)`
`java.util.Collection` `getThresholderCollection()`
`int` `getThresholderCount()`
`boolean` `hasThreads()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePackage(Package vPackage)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeThresholder(Thresholder vThresholder)`
`void` `setPackage(int index, Package vPackage)`
`void` `setPackage(Package[] _packageArray)`
`void` `setPackageCollection(java.util.Collection vPackage)`
`void` `setThreads(int threads)` Sets the value of field 'threads'.
`void` `setThresholder(int index, Thresholder vThresholder)`
`void` `setThresholder(Thresholder[] thresholderArray)`
`void` `setThresholderCollection(java.util.Collection vThresholder)`
`static ThreshdConfiguration` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _threads

    private int _threads

### _has_threads

    private boolean _has_threads

  keeps track of state for field: _threads

### _packageList

    private java.util.ArrayList _packageList

### _thresholderList

    private java.util.ArrayList _thresholderList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### ThreshdConfiguration

    public ThreshdConfiguration()

Method Detail

### addPackage

    public void addPackage(Package vPackage)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vPackage` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPackage

    public void addPackage(int index,
                           Package vPackage)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vPackage` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addThresholder

    public void addThresholder(Thresholder vThresholder)
                        throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vThresholder` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addThresholder

    public void addThresholder(int index,
                               Thresholder vThresholder)
                        throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vThresholder` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearPackage

    public void clearPackage()

### clearThresholder

    public void clearThresholder()

### enumeratePackage

    public java.util.Enumeration enumeratePackage()

### enumerateThresholder

    public java.util.Enumeration enumerateThresholder()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getPackage

    public Package getPackage(int index)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getPackage

    public Package[] getPackage()

### getPackageCollection

    public java.util.Collection getPackageCollection()

### getPackageCount

    public int getPackageCount()

### getThreads

    public int getThreads()

  Returns the value of field 'threads'.

  Returns:
    the value of field 'threads'.

### getThresholder

    public Thresholder getThresholder(int index)
                               throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getThresholder

    public Thresholder[] getThresholder()

### getThresholderCollection

    public java.util.Collection getThresholderCollection()

### getThresholderCount

    public int getThresholderCount()

### hasThreads

    public boolean hasThreads()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePackage

    public boolean removePackage(Package vPackage)

  Parameters:
    `vPackage` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeThresholder

    public boolean removeThresholder(Thresholder vThresholder)

  Parameters:
    `vThresholder` -

### setPackage

    public void setPackage(int index,
                           Package vPackage)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vPackage` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setPackage

    public void setPackage(Package[] _packageArray)

  Parameters:
    `_packageArray` -

### setPackageCollection

    public void setPackageCollection(java.util.Collection vPackage)

  Parameters:
    `vPackage` -

### setThreads

    public void setThreads(int threads)

  Sets the value of field 'threads'.

  Parameters:
    `threads` - the value of field 'threads'.

### setThresholder

    public void setThresholder(int index,
                               Thresholder vThresholder)
                        throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vThresholder` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setThresholder

    public void setThresholder(Thresholder[] thresholderArray)

  Parameters:
    `thresholderArray` -

### setThresholderCollection

    public void setThresholderCollection(java.util.Collection vThresholder)

  Parameters:
    `vThresholder` -

### unmarshal

    public static ThreshdConfiguration unmarshal(java.io.Reader reader)
                                          throws org.exolab.castor.xml.MarshalException,
                                                 org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.